Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Flume >> mail # dev >> Review Request: FLUME-1723: AsyncHBase and Avro bring in different versions of Netty


Copy link to this message
-
Review Request: FLUME-1723: AsyncHBase and Avro bring in different versions of Netty

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/8109/
-----------------------------------------------------------

Review request for Flume.
Description
-------

This patch makes Netty an explicit dependency for SDK (which uses Avro), Core (which uses Avro and also Netty directly), and HBase sink (which uses AsyncHBaseSink which depends on Netty).

It also excludes Netty as a dependency from avro-ipc and asynchbase.
This addresses bug FLUME-1723.
    https://issues.apache.org/jira/browse/FLUME-1723
Diffs
-----

  flume-ng-core/pom.xml d01baca
  flume-ng-sdk/pom.xml 1deab7e
  flume-ng-sinks/flume-ng-hbase-sink/pom.xml badb496
  pom.xml 76b8351

Diff: https://reviews.apache.org/r/8109/diff/
Testing
-------

Unit tests pass. Quick manual test. Also, mvn dependency:tree only lists a non-1.4.0 netty under hbase, which is marked as optional, so it is not brought in.
Thanks,

Mike Percy